# Uses of Class
java.net.CacheResponse

Packages that use CacheResponse
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of CacheResponse in java.net

Subclasses of CacheResponse in java.net
Modifier and Type
Class
Description
`class`
`SecureCacheResponse`
Represents a cache response originally retrieved through secure means, such as TLS.
Methods in java.net that return CacheResponse
Modifier and Type
Method
Description
`abstract CacheResponse`
ResponseCache.`get​(URI uri, String rqstMethod, Map<String,​List<String>> rqstHeaders)`
Retrieve the cached response based on the requesting uri, request method and request headers.